[icecast] Some questions and problems about setting up Icecast2

Philip White pwhite at mailhaven.com
Sun Jul 28 11:42:03 PDT 2002


On Mon, Jul 29, 2002 at 06:09:12PM +1000, Michael Smith wrote:
> 
> Yes. automake 1.6 is probably incompatible with older versions, which are
> more widely used. It could of course be other tools like autoconf as well,
> but those errors look more like automake problems.
> 

After downgrading automake to 1.4-p6, I get much fewer errors, and here they are:

[pwhite at pwhite icecast]$ ./autogen.sh
I am going to run ./configure with no arguments - if you wish
to pass any to it, please specify them on the ./autogen.sh command line.
Generating configuration files for icecast, please wait....
  aclocal
aclocal: configure.in: 8: macro `AM_PROG_LIBTOOL' not found in library
  libtoolize --automake
  automake --add-missing
  autoconf
configure.in:4: error: possibly undefined macro: AM_INIT_AUTOMAKE
configure.in:8: error: possibly undefined macro: AM_PROG_LIBTOOL
configure.in:116: error: possibly undefined macro: AM_PATH_OGG
configure.in:117: error: possibly undefined macro: AM_PATH_VORBIS
./configure: line 1189: syntax error near unexpected token `AM_INIT_AUTOMAKE(icecast,2.0)'
./configure: line 1189: `AM_INIT_AUTOMAKE(icecast,2.0)'

What do you think?


-- 
Philip M. White
Houston, TX; U.S.A.
GPG key: 0xC2A34385


-------------- next part --------------
A non-text attachment was scrubbed...
Name: part
Type: application/pgp-signature
Size: 190 bytes
Desc: not available
Url : http://lists.xiph.org/pipermail/icecast/attachments/20020728/81be6504/part.pgp


More information about the Icecast mailing list